Bug 304398 - What does Effort Not Met mean when scheduling
Summary: What does Effort Not Met mean when scheduling
Status: RESOLVED FIXED
Alias: None
Product: calligraplan
Classification: Unclassified
Component: usability (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Dag Andersen
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-01 19:43 UTC by Marco Parillo
Modified: 2012-09-01 09:21 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 2.6


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marco Parillo 2012-08-01 19:43:11 UTC
I have a duration based task, with two assigned resources, and after scheduling, I receive an Error: Effort not met. Estimate 336, Planned: 160.

160 is two resources, for two working weeks, which is correct.
Where does the 336 come from?
Comment 1 Marco Parillo 2012-08-02 16:05:44 UTC
When I change the task from 2w duration for two resources to 160h of effort for the same two resources, then I receive no errors when calculating the schedule.
Comment 2 Marco Parillo 2012-08-08 15:38:44 UTC
I am running Alpha 3 of Kubuntu 12.10, and today I received the update to Plan Version 2.5.0 Using KDE Development Platform 4.9.00. The behavior is unchanged.
Comment 3 Dag Andersen 2012-08-11 08:52:32 UTC
(In reply to comment #0)
> I have a duration based task, with two assigned resources, and after
> scheduling, I receive an Error: Effort not met. Estimate 336, Planned: 160.
> 
> 160 is two resources, for two working weeks, which is correct.
> Where does the 336 come from?
The 336 comes from 14*24. If you want working weeks you must specify a calendar to limit hours to working hours.

Regarding the error message, it does not make any sense when estimate type is duration. It will be removed for this case.
Comment 4 Dag Andersen 2012-08-13 13:37:53 UTC
Git commit e17f257f3199292ef9bce897e37ccb7a8f2cbac5 by Dag Andersen.
Committed on 13/08/2012 at 08:33.
Pushed by danders into branch 'master'.

Do not indicate "EffortNotMet" error when estimate type is Duration

M  +12   -8    plan/libs/kernel/kpttask.cpp

http://commits.kde.org/calligra/e17f257f3199292ef9bce897e37ccb7a8f2cbac5
Comment 5 Jarosław Staniek 2012-09-01 09:21:22 UTC
Git commit 2ceda1ff6a3aef1ef6582f53d9db170006221c49 by Jaroslaw Staniek, on behalf of Dag Andersen.
Committed on 13/08/2012 at 08:33.
Pushed by staniek into branch 'kexi-features-staniek'.

Do not indicate "EffortNotMet" error when estimate type is Duration

M  +12   -8    plan/libs/kernel/kpttask.cpp

http://commits.kde.org/calligra/2ceda1ff6a3aef1ef6582f53d9db170006221c49